import request from '@/utils/request'

// 查询生产报工物料消耗列表
export function listReportWorkConsume(query) {
	return request({
		url: '/mes/reportWorkConsume/list',
		method: 'get',
		params: query
	});
}

// 查询生产报工物料消耗详细
export function getReportWorkConsume(recordId) {
	return request({
		url: '/mes/reportWorkConsume/' + recordId,
		method: 'get'
		});
}

// 新增生产报工物料消耗
export function addReportWorkConsume(data) {
	return request({
		url: '/mes/reportWorkConsume',
		method: 'post',
		data: data
	});
}

// 修改生产报工物料消耗
export function updateReportWorkConsume(data) {
	return request({
		url: '/mes/reportWorkConsume',
		method: 'put',
		data: data
	});
}

// 删除生产报工物料消耗
export function delReportWorkConsume(recordId) {
	return request({
		url: '/mes/reportWorkConsume/' + recordId,
		method: 'delete'
	});
}
